--
-- $Id$
--
-- Customer specific once-script mnnl#35291_INS_K2V.
DEFINE thisfile = 'mnnl#35291_INS_P2A.sql'
DEFINE dbuser   = '^MNNL'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Omhangen Beschrijving-kenmerk naar Beschrijving-veld (vast).
/*
SELECT d.ins_deel_key,
       d.ins_deel_opmerking oud,
       (SELECT kd.ins_kenmerkdeel_waarde
          FROM ins_v_aanwezigkenmerkdeel kd
         WHERE kd.ins_kenmerkdeel_waarde IS NOT NULL
               AND kd.ins_kenmerk_key = 42                     -- Beschrijving
               AND kd.ins_deel_key = d.ins_deel_key)
          nieuw
  FROM ins_deel d
 WHERE d.ins_deel_verwijder IS NULL
       AND d.ins_discipline_key = 1104                        -- EndUser Asset
       AND d.ins_deel_opmerking IS NULL
       AND EXISTS
             (SELECT 1
                FROM ins_v_aanwezigkenmerkdeel kd
               WHERE kd.ins_kenmerkdeel_waarde IS NOT NULL
                     AND kd.ins_kenmerk_key = 42               -- Beschrijving
                     AND kd.ins_deel_key = d.ins_deel_key);
*/
/* Formatted on 12-6-2017 16:36:24 (QP5 v5.136.908.31019) */
UPDATE ins_deel d
   SET d.ins_deel_opmerking =
          (SELECT kd.ins_kenmerkdeel_waarde
             FROM ins_v_aanwezigkenmerkdeel kd
            WHERE kd.ins_kenmerkdeel_waarde IS NOT NULL
                  AND kd.ins_kenmerk_key = 42                  -- Beschrijving
                  AND kd.ins_deel_key = d.ins_deel_key)
 WHERE d.ins_deel_verwijder IS NULL
       AND d.ins_discipline_key = 1104                        -- EndUser Asset
       AND d.ins_deel_opmerking IS NULL
       AND EXISTS
             (SELECT 1
                FROM ins_v_aanwezigkenmerkdeel kd
               WHERE kd.ins_kenmerkdeel_waarde IS NOT NULL
                     AND kd.ins_kenmerk_key = 42               -- Beschrijving
                     AND kd.ins_deel_key = d.ins_deel_key);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
